1
$\begingroup$

I had Anaconda 3 installed on my system and python registered with the following link:

RegisterExternalEvaluator["Python","C:\\Users\\atfai\\Anaconda3\\python.exe"]

I recently updated some libraries in Anaconda 3 and then ExternalEvaluate and ExternalLanguage cell stopped working giving the following error.

StartExternalSession::noinstall: No valid installations for system Python were found with the options specified.

So I cleared the cache of the ExternalEvaluate using the following command: ExternalEvaluate`Private`resetCache[]

and attempted to register again:

RegisterExternalEvaluator["Python","C:\\Users\\atfai\\Anaconda3\\python.exe"]

giving the following weird error:

RegisterExternalEvaluator::invalid: -- Message text not found -- (ExternalEvaluate`Private`reason)

I rebooted my computer but nothing is fixing the issue. Please help.

$\endgroup$
  • 1
    $\begingroup$ Make sure you follow the instructions here and have zmq installed. $\endgroup$ – Szabolcs Feb 12 at 18:34
  • $\begingroup$ Found out the issue. After downgrading to version 3.6.7 using conda install python = 3.6.7, it worked again. Since I did installed new libraries and did a general update it updated my python version to 3.6.8 which is not working with ExternalEvaluate (mathematica 11.3). Maybe it will be supported from 12.0 onwards. $\endgroup$ – user13892 Feb 12 at 18:38
  • $\begingroup$ Hmm ... M11.3's ExternalEvaluate seems to work fine for me with Python 3.7.2 installed through Anaconda. $\endgroup$ – Szabolcs Feb 12 at 18:41
  • $\begingroup$ It all works for me with python 3.6.8 and 11.3. $\endgroup$ – b.gatessucks Feb 12 at 21:34
  • $\begingroup$ when you do conda update python what version of python it is showing as the latest? Maybe because I have an older version of anaconda. $\endgroup$ – user13892 Feb 12 at 21:42

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Browse other questions tagged or ask your own question.